[build-system]
requires = ["setuptools>=61.0.0", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "atonatui"
version = "0.1.2"
description = "12 Tone Matrix Generator, Looper, Sequencer."
readme = "README.md"
requires-python = ">=3.10"
license = { text = "MIT" }
authors = [
    { name = "Dominic DiTaranto", email = "me@domdit.com" }
]
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Environment :: Console",
    "Topic :: Multimedia :: Sound/Audio :: Analysis"
]

dependencies = [
	"numpy==2.5.1",
	"prompt_toolkit==3.0.53",
	"pyfluidsynth==1.4.0",
	"wcwidth==0.8.2"
]

[project.urls]
Homepage = "https://git.domdit.com/dominic/atonatui"

[project.scripts]
atonatui = "atonatui.main:main"

[tool.setuptools.packages.find]
where = ["src"]

[tool.setuptools.package-data]
# Tells setuptools to track assets inside the python environment
atonatui = ["assets/**/*", "assets/*"]

